slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSGSVDSetDimensions

Sets the number of columns and rows for a DSGSVD.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGSVDSetDimensions(DS ds,PetscInt m,PetscInt p)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| m | - the number of columns
| p | - the number of rows for the second matrix (B)

### Notes

This call is complementary to DSSetDimensions(), to provide two dimensions that are specific to this DS type. The number of rows for the first matrix (A) is set by DSSetDimensions().

### See Also

DSGSVDGetDimensions(), DSSetDimensions()

### Level

intermediate

### Location

src/sys/classes/ds/impls/gsvd/dsgsvd.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages